package org.apache.commons.lang3.concurrent.locks;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.concurrent.locks.StampedLock;
import org.apache.commons.lang3.concurrent.locks.LockingVisitors;

public class StampedLockVisitor<O> extends LockingVisitors.LockVisitor<O, StampedLock> {
  protected StampedLockVisitor(O object, StampedLock stampedLock) {
    super(object, stampedLock, stampedLock::asReadLock, stampedLock::asWriteLock);
  }
}
